package com.gxzc.zen.web.sys.controller

import com.baomidou.kisso.SSOHelper
import com.baomidou.kisso.annotation.Action
import com.baomidou.kisso.annotation.Login
import com.baomidou.kisso.annotation.Permission
import com.baomidou.kisso.security.token.SSOToken
import com.gxzc.zen.api.sys.service.ISysPermissionService
import com.gxzc.zen.api.sys.service.ISysUserRoleService
import com.gxzc.zen.api.sys.service.ISysUserService
import com.gxzc.zen.common.base.BaseController
import com.gxzc.zen.common.dto.ResponseDto
import com.gxzc.zen.common.exception.ZenException
import com.gxzc.zen.common.exception.ZenExceptionEnum
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.cache.CacheManager
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RestController


@RestController
class ExampleController : BaseController() {
    companion object {
        private val logger = LoggerFactory.getLogger(ExampleController::class.java)
    }

    @Autowired
    private lateinit var cacheManager: CacheManager

    @Autowired
    private lateinit var sysUserService: ISysUserService

    @Autowired
    private lateinit var sysPermissionService: ISysPermissionService

    @Autowired
    private lateinit var userRoleService: ISysUserRoleService

    @Autowired
    private lateinit var userService: ISysUserService

    @GetMapping("testTransaction")
    fun testTransaction() {
//        mgrFondsService.testTransaction()
    }

    @GetMapping("testLoad")
    fun testLoad() {
//        sysUserService.selectListCacheable()
    }

    @GetMapping("testLogin")
    // @Login(action = Action.Skip)
    fun testLogin() {
        logger.info("test")

    }

    @GetMapping("testCache")
    @Login(action = Action.Skip)
    @Permission("user:crud")
    fun testCache() {
        println(cacheManager.cacheNames)

        val a = sysPermissionService.getPermissionSetByUserId(1)

        println(a)
        println("增量测试哦")
        val test = cacheManager.getCache("user")["test1"]
    }
}